/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef PARTYDESCRIPTION_H
#define PARTYDESCRIPTION_H

class IAssess1;
class Party;

/**
 * @stereotype description
 */
class PartyDescription {
  public:
    void assessWithPlugInElseDefault();

    void assessAcrossParties();

    int findAvailable();

    int calcQtyAvailable();

    int calcTotalFor();

    int listParties();

    static int listDescs();

    static int assessAcrossDescs();

  private:
    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    Party * lnkUnnamed;

    /** @supplierCardinality 0..1 */
    IAssess1 * lnkUnnamed1;

    int type;
    int description;
    int itemNumber;
    int defaultValue;
};
#endif //PARTYDESCRIPTION_H
